font_family      FiraCode Nerd Font
font_size 15.0
disable_ligatures never
enable_audio_bell no
visual_bell_duration 0.01
visual_bell_color yellow
window_alert_on_bell yes
bell_on_tab "🔔 "
tab_bar_edge top
tab_bar_style powerline
tab_powerline_style slanted
tab_title_template "{index} {fmt.fg.red}{bell_symbol}{activity_symbol}{fmt.fg.tab}{title}"
foreground #dddddd
background #111111
shell zsh
editor nvim
allow_remote_control socket-only
listen_on unix:///tmp/kitty.sock
env KITTY_TERM=TRUE
shell_integration enabled
dynamic_background_opacity yes
background_opacity 1.0

# urls
url_color #4d87bd
url_style curly
url_prefixes file ftp ftps gemini git gopher http https irc ircs kitty mailto news sftp ssh
detect_urls yes
show_hyperlink_targets yes
underline_hyperlinks always
map ctrl+shift+e open_url_with_hints

map alt+e        next_tab
map alt+q     previous_tab

# i want that for neovim
map ctrl+shift+s no_op

# manual fullscreen
map shift+alt+f11 toggle_fullscreen

# scrolling
map ctrl+shift+k scroll_page_up
map ctrl+shift+j scroll_page_down
touch_scroll_multiplier 2.5
wheel_scroll_multiplier 5.0

# bg
map ctrl+shift+a>m set_background_opacity +0.1
map ctrl+shift+a>l set_background_opacity -0.1
map ctrl+shift+a>1 set_background_opacity 1
map ctrl+shift+a>0 set_background_opacity 0.8

# more terminals in my terminal
enabled_layouts tall:bias=50;full_size=1;mirrored=false
#map ctrl+shift+enter make me a new fucking window
